import { r as registerInstance, h } from './index-c269755a.js';

const teliaOverlayCss = ".telia-overlay{z-index:300;background-color:rgba(0, 0, 0, 0.3);height:100vh;left:0;position:absolute;top:0;transition:transform 0.3s ease, opacity 0.3s ease, visibility 0.3s ease;width:100vw}";

const TeliaOverlay = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /** Tracking id is used to identify and count Component usage */
    this.dataTrackingId = 'telia-overlay';
  }
  render() {
    return (h("div", { class: "telia-overlay" }, h("telia-vst", { dataTrackingId: this.dataTrackingId })));
  }
};
TeliaOverlay.style = teliaOverlayCss;

export { TeliaOverlay as telia_overlay };
